Back to API List To add or remove users or groups from admin roles.Documentation Index
Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
This API requires JWT generated by an application created only from the Admin Console.
| Field | Value |
|---|---|
| Method | POST |
| Endpoint | https://{{host}}/api/public/adminroles/assignments/ |
| Content Type | application/json |
| Authorization | auth: {{JWT}} See How to generate the JWT Token. |
| API Scope | App Builder: Not Applicable; Admin Console: Profile Management > Role Management |
Path Parameters
| Parameter | Required/Optional | Description |
|---|---|---|
| host | Required | Environment URL, for example, https://platform.kore.ai |
Sample Request
Body Parameters
| Parameter | Required/Optional | Description |
|---|---|---|
| roleId | Required | The admin role ID to assign or remove from users or groups. |
| addUsers or addOrgUserIds | Optional | The list of usernames or org user IDs for whom to assign the admin role. |
| removeUsers or removeOrgUserIds | Optional | The list of usernames or org user IDs for whom to remove the admin role. |
| addGroups | Optional | The list of group names for whom to assign the admin role. |
| removeGroups | Optional | The list of usernames for whom to remove the admin role. |